<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2024-12-31 16:36:04
////////////////////


/**
 * Static Model guide 新手引导表
 */
class sm_guide
{

    /**
    * @var Int32 1：启灵，坊市
    *  2：装备
    *  3：战斗引导，主动技能
    *  4：战斗引导，被动技能
    *  5：装备的升级，降品，套装属性说明  
    */
    public $id;

    /**
    * @var Int32 引导模块类型
    *  (0普通点击 1指定技能)  
    */
    public $type;

    /**
    * @var Int32 步骤Id default(0) 
    */
    public $stepId;

    /**
    * @var String 按钮路径  
    */
    public $btnPath;

    /**
    * @var String 箭头坐标偏移;默认坐标(0, 100)  
    */
    public $arrOffsetPos;

    /**
    * @var String 提示坐标偏移;默认坐标(0, 400)  
    */
    public $tipsOffsetPos;

    /**
    * @var String 提示文字  
    */
    public $tips;

    /**
    * @var Single 箭头角度 default(0) 
    */
    public $arrAngle;

    /**
    * @var String 引导的参数  
    */
    public $guidParameter;

    /**
    * @var Int32 是否强制储存 意思是:跳过本次引导【回存的时候记得把本次引导的最后一步记录下来】  
    *  1:强制存储  default(0) 
    */
    public $forceSave;

    /**
    * @var Single 延迟时间 default(0) 
    */
    public $delayTime;

    /**
    * @var Int32 没有，是否继续
    *  1:继续 0:不继续
    *   default(0) 
    */
    public $notGoOn;

    /**
    * @var String 高亮路径  
    */
    public $lightPath;

}

