<?php
////////////////////
 // 由CodeGenerator创建。
 // Copyright (C) gwang (wanggangzero@qq.com), Loyalsoft@sjz Inc
 // author： gwang 
 // 日期: 2025-01-07 14:57:57
////////////////////


/**
 * Static Model predicate 词条配置表
 */
class sm_predicate
{

    /**
    * @var Int32 唯一id  
    */
    public $id;

    /**
    * @var String 名称  
    */
    public $name;

    /**
    * @var String 词条描述  
    */
    public $desc;

    /**
    * @var String 附加对象: "none" 无, 角色 'hero', 怪'monster', 技能'skill', 装备'equip', 关卡'gate' default(none) 
    */
    public $attachTarget;

    /**
    * @var String 行为类型:
    *      // 无 
    *      none,
    *  // 大概命名规律:  add(+面板值)/and(+基础值)/mul(+倍率值):
    *      // 增加面板生命: 参数1=>增加数值
    *      addHp,
    *      //  增加基础生命(享受加成倍率):  参数1=>增加数值
    *      andHp
    *      // 增加生命: 参数1=>倍率
    *      mulHp,
    *   ****  
    *    具体参考代码E_PredicateActionType.cs中注释. default(none) 
    */
    public $actionType;

    /**
    * @var String 行为参数1: ...  
    */
    public $actionParam1;

    /**
    * @var String 行为参数2: ...  
    */
    public $actionParam2;

    /**
    * @var String 行为参数3:  
    */
    public $actionParam3;

    /**
    * @var String 类型key(同一种类判定)  
    */
    public $uniqueKey;

    /**
    * @var String 进化模块里的消息描述信息  
    */
    public $desc2;

    /**
    * @var Int32 跟宝石品质一一对应  
    */
    public $qual;

    /**
    * @var String 可以允许出现该词条的部位列表(逗号分隔的,123456)  
    */
    public $positions;

}

