<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Info_PrivateState
 *
 * @author c'y'zhao
 */
class Info_PrivateState extends Object_ext {

    /**
     * 章节宝箱的购买记录
     * @var type
     */
    #[ArrayType]
    public $gateGiftReceived = array();

    /**
     * 每日商店的购买记录
     * @var type
     */
    #[ArrayType]
    public $dailyShopReceived = array();

    /**
     * 每日商店广告次数
     * @var type
     */
    public $dailyShop_GuangGaoNum = 0;
    public $dailyShop_GuangGaoTs = 0;

    /**
     * 每日随机到的信息
     * @var type
     */
    #[ArrayType]
    public $dailyShopRandItems = array();

    /**
     * 金币商店购买记录
     */
    #[ArrayType]
    public $goldShopReceived = array();

    /**
     * 钻石商城的购买记录
     */
    #[ArrayType]
    public $cashShopReceived = array();   

    /**
     * 登录天数
     * @var array[]
     */
    #[ArrayType]
    public $LoginDays = array();

    /**
     * @var array[] 7日签到领取数据
     */
    #[ArrayType]
    public $day7_drawed = array();
   
    /**
     * 7日 累计
     * @var type
     */
    public $day7_accumulate = 0;
    
    /**
     * 7日签到 累计宝箱奖励 7天为一轮循环
     * @var type
     */
    public $day7_accumulate_loopNum = 1; 

    /**
     * 7日 累计奖励领取记录
     * @var type
     */
    #[ArrayType]
    public $day7_accumulateDrawed = array();

    /**
     * 普通宝石免费领取时间记录
     * @var long
     */
    public $lastFreeGetTs_ShopBoxCommon = 0;

    /**
     * 璀璨宝石免费领取时间记录
     * @var type
     */
    public $lastFreeGetTs_ShopBoxBright = 0;

    /**
     * 普通装备免费领取时间记录
     * @var long
     */
    public $lastFreeGetTs_ShopBoxCommon_equip = 0;

    /**
     * 璀璨装备免费领取时间记录
     * @var type
     */
    public $lastFreeGetTs_ShopBoxBright_equip = 0;
       
    /**
     * 普通宝石购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxCommon = 0;

    /**
     * 璀璨宝石购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxBright = 0;
    
    /**
     * 普通装备购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxCommon_equip = 0;

    /**
     * 璀璨装备购买次数记录
     * @var type
     */
    public $buyNum_ShopBoxBright_equip = 0;

    /**
     * 金币商城第一个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_1 = 0;
    public $goldShop_GuangGaoNum = 0;

    /**
     * 金币商城第二个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_2 = 0;

    /**
     * 金币商城第三个冷却时间记录
     * @var type
     */
    public $goldShop_CoolDownTs_3 = 0;

    /**
     * 月卡
     * @var type
     */
    //public $monthCardShop_Received = array();

    /**
     * 资源月卡购买时间记录
     * @var int
     */
    public $monthCardShop_ts = 0;

    /**
     * 特权月卡购买时间记录
     * @var int
     */
    public $honourCardShop_ts = 0;

    /**
     * 关看广告得到体力次数
     * @var type
     */
    public $guanggaoGetTiliNum = 0;

    /**
     * 每日购买体力的次数
     * @var type
     */
    public $buyTiliNum = 0;

    /**
     *  广告得体力倒计时
     * @var type
     */
    public $guanggaoGetTili_ts = 0;

    /*
     * 通关荣誉榜奖励领取记录
     */

    #[ArrayType]
    public $rankReward_drawed_MainGate = array();

    /**
     * 战力荣誉榜奖励领取记录
     * @var type
     */
    #[ArrayType]
    public $rankReward_drawed_fightPower = array();

    /**
     * @var array[] 领取激活码记录
     */
    #[ArrayType]
    public $usedTokens = array();

    /**
     * 读公告记录
     * @var array()
     */
    #[ArrayType]
    public $announcement_drawed = array();

    /**
     * 0:没有红点 1：有红点
     */
    public $redTip_Mail = 0;

    /**
     * 关卡榜里的荣誉榜红点
     * @var type
     */
    public $redTip_RewardMainGateRank = 0;

    /**
     * 战力榜里的荣誉榜红点
     * @var type
     */
    public $redTip_RewardFightPowerRank = 0;

    /**
     * 解锁的功能记录
     * @var array()
     */
    #[ArrayType]
    public $funUnlockRecord = array();
    
    /**
     * 解锁的功能记录 不做删除 为了防止有两种解锁条件的功能 重复解锁
     * @var array()
     */
    #[ArrayType]
    public $funUnlockRecord_2 = array();
    
    /**
     * 为启灵 坊市的引导 用的 
     * @var type
     */
    #[ArrayType]
    public $funUnlockRecord_3 = array();

    /**
     * 解锁的技能记录
     * @var array()
     */
    #[ArrayType]
    public $skillUnlockRecord = array();

    /**
     * @var int 技能锁定数量(解锁后)
     */
    public $skillLockerNumber = 0;

    /**
     * @var array (解锁后)封印技能记录
     */
    #[ArrayType]
    public $skillReLocked = array();

    /**
     * @var int 玩家升级前等级
     */
    public $oldLevel = 0;

    /**
     *
     * @var int 玩家升级后等级
     */
    public $upLevel = 0;

    /**
     * 挑战红点
     * @var type
     */
    public $challange_RedMask = 0;

    /**
     * 首充奖励领取记录
     */
    #[ArrayType]
    public $firstRechargeRewardRecord = array();

    /**
     * 首充 充值后可以登录领奖的标志
     * @var type
     */
    public $firstRecharge_receiveTag = 0;

    /**
     * 首充弹出提示
     * @var type
     */
    public $firstRechargeUI_OpenTip = 1;

    /**
     * 累计奖励领取记录
     * @var type
     */
    #[ArrayType]
    public $accumulateRechargeRewardRecord = array();
    
    /**
     * 次级功能开启时间记录
     * @var type
     */
    //public $subFunStartTs = null;

    /**
     * @var array 曾用名列表
     */
    #[ArrayType]
    public $HistoryNames = array();

    /**
     * @var int 上次改名时间戳
     */
    public $lastRenameTs = 0;
    
    /**
     * 转盘抽奖累计次数
     * @var type
     */
    public $lotteryNum = 0;
    
    /**
     * 转盘抽奖免费次数
     * @var type
     */
    public $lotteryNum_free = 0;
   
    /*
     * 
     */
    public $activity_lottery_guanggaoTs = 0;


    /**
     * 抽奖得到过紫色品阶的宝石
     * @var type
     */
    public $lottery_qualGem_4 = 0;
    
    /**
     * 抽奖累计次数宝箱奖励领取记录
     */
    #[ArrayType]
    public $lotteryNumRewardReceived = array();
    
    /**
     * 兑换记录
     * @var type
     */
    #[ArrayType]
    public $lotteryExchange = array();  
    
    /**
     * 限时贩售 刷新时间
     * @var type
     */
    public $nextDayLogin = 0;
    
    /**
     * 章节礼包选中哪页下次进来还是哪页
     * @var type
     */
    public $shop_gateGift_showGateId = 0;
    
    /**
     * 限时贩售 商品
     * @var type
     */
    #[ArrayType]
    public $limitTsBuy_RandIds = array();
    
    /**
     * 限时贩售购买记录
     * @var type
     */
    #[ArrayType]
    public $limitTsBuy_RewardRecord = array();
    
    /**
     * 战令奖励领取记录
     */
    #[ArrayType]
    public $battlePassRewardReceived = array();

    /**
     * 关卡战令高级战令购买时间戳记录
     * @var type
     */
    public $battlePass_gate_cost_ts = 0;

    /**
     * 活跃点战令高级战令购买时间戳记录
     * @var type
     */
    public $battlePass_activePoint_cost_ts = 0;

    /**
     * 体力战令高级战令购买时间戳记录
     * @var type
     */
    public $battlePass_tili_cost_ts = 0;
    
    /**
     * 关卡战令开启时间戳记录
     * @var type
     */
    //public $battlePass_gate_open_ts = 0;

    /**
     * 活跃点战令开启时间戳记录
     * @var type
     */
    public $battlePass_activePoint_refersh_ts = 0;

    /**
     * 体力战令开启时间戳记录
     * @var type
     */
    public $battlePass_tili_refersh_ts = 0;
    
    /**
     * 战令统计的 日常周常 活跃点
     * @var type
     */
    public $battlePass_taskPoint = 0;

    /**
     * 
     * @var type
     */
    public $battlePass_tili = 0;
    
    /**
     * 7日签到领取数据 新手签到
     */
    #[ArrayType]
    public $day7_drawed_newPlayer = array();

    /**
     * 7日签到 新手签到 开始时间
     */
    public $day7_drawed_newPlayer_startTs = 0;

    /**
     *  7日签到 新手签到 登录时间记录
     */
    #[ArrayType]
    public $day7_drawed_newPlayer_LoginDays = array();

    public function initialize() {
    }

    public function __construct($arg = null) {
        if ($arg == null) {           
            $this->skillLockerNumber = glc()->Skill_LockBtn_InitCount;       # 初始值
        } else {
            parent::__construct($arg);
            if ($this->skillLockerNumber < glc()->Skill_LockBtn_InitCount) {
                $this->skillLockerNumber = glc()->Skill_LockBtn_InitCount;       # 初始值
            }
        }
    }
}
